Package org.kapott.hbci.manager

## Enum FlickerCode.Encoding

- java.lang.Object
- - java.lang.Enum<FlickerCode.Encoding>
  - - org.kapott.hbci.manager.FlickerCode.Encoding

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<FlickerCode.Encoding>`

Enclosing class:
  FlickerCode

    public static enum FlickerCode.Encoding
    extends java.lang.Enum<FlickerCode.Encoding>

Das Encoding der Nutzdaten.

### Enum Constant Summary

Enum Constants
`ASC` ASC-Encoding.
`BCD` BCD-Encoding.

### Method Summary

All Methods Static Methods Concrete Methods
`static FlickerCode.Encoding` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FlickerCode.Encoding[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ASC

    public static final FlickerCode.Encoding ASC

ASC-Encoding.

#### BCD

    public static final FlickerCode.Encoding BCD

BCD-Encoding.

### Method Detail

#### values

    public static FlickerCode.Encoding[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FlickerCode.Encoding c : FlickerCode.Encoding.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FlickerCode.Encoding valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null